package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicSheet;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import com.yonge.toolset.mybatis.page.PageInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description 专辑详情展示信息
 *
 * @author: liujunchi
 * @date: 2022-03-31
 */
public class AlbumDetailVo {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "专辑名称")
    private String albumName;

    @ApiModelProperty("专辑封面图片URL")
    private String albumCoverUrl;

    @ApiModelProperty("专辑简介")
    private String albumDesc;

    @ApiModelProperty("收藏0：否，1：是")
    private YesOrNoEnum favorite;

    @ApiModelProperty("专辑详情曲目")
    private PageInfo<MusicSheetVo> musicSheetList;

    @ApiModelProperty(value = "专辑标签(多个标签以逗号分开)",required = true)
    private String albumTag;  //专辑标签(多个标签以逗号分开)

    @ApiModelProperty("教材标签")
    private String musicTagNames;

    public YesOrNoEnum getAlbumStatue() {
        return albumStatue;
    }

    public void setAlbumStatue(YesOrNoEnum albumStatue) {
        this.albumStatue = albumStatue;
    }

    @ApiModelProperty("专辑状态 0：停用1：启用")
    private YesOrNoEnum albumStatue;

    public String getAlbumTag() {
        return albumTag;
    }

    public void setAlbumTag(String albumTag) {
        this.albumTag = albumTag;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAlbumName() {
        return albumName;
    }

    public void setAlbumName(String albumName) {
        this.albumName = albumName;
    }

    public PageInfo<MusicSheetVo> getMusicSheetList() {
        return musicSheetList;
    }

    public void setMusicSheetList(PageInfo<MusicSheetVo> musicSheetList) {
        this.musicSheetList = musicSheetList;
    }

    public String getAlbumDesc() {
        return albumDesc;
    }

    public void setAlbumDesc(String albumDesc) {
        this.albumDesc = albumDesc;
    }

    public String getAlbumCoverUrl() {
        return albumCoverUrl;
    }

    public void setAlbumCoverUrl(String albumCoverUrl) {
        this.albumCoverUrl = albumCoverUrl;
    }

    public YesOrNoEnum getFavorite() {
        return favorite;
    }

    public void setFavorite(YesOrNoEnum favorite) {
        this.favorite = favorite;
    }
}
